> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 可开卡片信息



## OpenAPI

````yaml cn post /card/config/list
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /card/config/list:
    post:
      tags: []
      summary: 可开卡片信息
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueryCardConfigRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultQueryCardConfigResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  cardConfigs:
                    - powerCardConfigId: ''
                      applyDiscount: 0
                      applyFee: 0
                      cardNature: ''
                      cardType: ''
                      currency: ''
                      description: ''
                      enable: false
                      img: ''
                      monthFee: 0
                      rechargeFee: 0
                      refundFee: 0
                      title: ''
                      titleEn: ''
                      activeMinLimit: 0
                      rechargeMinLimit: 0
                      rechargeMaxLimit: 0
                      pwRechargeFee: 0
                      pwTransFee: 0
                      pwCloseFee: 0
                      pwRefundFee: 0
                      pwWithdrawFee: 0
                      pwRefundFeeType: ''
                      pwWithdrawFeeType: ''
                      pwRechargeFeeType: ''
                      pwTransFeeType: ''
                      pwCloseFeeType: ''
                      needKYC: false
                      physicalCardAvailable: false
                      needPIN: false
                      needMobile: false
                      issuingBank: ''
                      channel: ''
                      physicalCardCreateFee: 0
                      googlePayAvailable: false
                      applePayAvailable: false
                      activitySwitch: false
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    QueryCardConfigRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        channel:
          type: string
          description: 开卡渠道
      required:
        - merchantId
        - channel
    CommonResultQueryCardConfigResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/QueryCardConfigResponse'
          description: 结果数据
    QueryCardConfigResponse:
      type: object
      properties:
        cardConfigs:
          type: array
          items:
            $ref: '#/components/schemas/CardConfigVO'
            description: 具体开卡配置
          description: 开卡配置
    CardConfigVO:
      type: object
      properties:
        powerCardConfigId:
          type: string
          description: powerCard 卡配置id
        applyDiscount:
          type: number
          description: 开卡折扣
        applyFee:
          type: number
          description: 开卡费用
        cardNature:
          type: string
          description: 卡片性质
        cardType:
          type: string
          description: 卡片类型
        currency:
          type: string
          description: 货币
        description:
          type: string
          description: 描述字段
        enable:
          type: boolean
          description: 是否允许申请
        img:
          type: string
          description: 图片
        monthFee:
          type: number
          description: 卡片月费
        rechargeFee:
          type: number
          description: 充值手续费，从商户账户扣除
        refundFee:
          type: number
          description: 退卡费用
        title:
          type: string
          description: 卡片名称
        titleEn:
          type: string
          description: 卡片英文名称
        activeMinLimit:
          type: number
          description: 激活/首次充值最小额度
        rechargeMinLimit:
          type: number
          description: 非首次充值最小额度
        rechargeMaxLimit:
          type: number
          description: 非首次充值最大额度
        pwRechargeFee:
          type: number
          description: pw充值手续费
        pwTransFee:
          type: number
          description: pw交易手续费
        pwCloseFee:
          type: number
          description: pw销卡手续费
        pwRefundFee:
          type: number
          description: pw退款手续费
        pwWithdrawFee:
          type: number
          description: pw取现手续费
        pwRefundFeeType:
          type: string
          description: pw退款手续费类型
        pwWithdrawFeeType:
          type: string
          description: pw取现手续费类型
        pwRechargeFeeType:
          type: string
          description: pw充值手续费类型
        pwTransFeeType:
          type: string
          description: pw交易手续费类型
        pwCloseFeeType:
          type: string
          description: pw销卡手续费类型
        needKYC:
          type: boolean
          description: 是否需要实名
        physicalCardAvailable:
          type: boolean
          description: 实体卡是否可用
        needPIN:
          type: boolean
          description: 是否需要设置PIN
        needMobile:
          type: boolean
          description: 是否需要设置手机号
        issuingBank:
          type: string
          description: 发卡银行
        channel:
          type: string
          description: 渠道
        physicalCardCreateFee:
          type: number
          description: 实体卡制卡费
        googlePayAvailable:
          type: boolean
          description: 是否支持googlePay
        applePayAvailable:
          type: boolean
          description: 是否支持applePay
        activitySwitch:
          type: boolean
          description: 活动开关

````